---
title: 'SVGAnimationElement: repeatEvent event'
slug: Web/API/SVGAnimationElement/repeatEvent_event
tags:
  - API
  - Reference
  - SMIL
  - SVG animations
  - SVGAnimationElement
  - events
---
<div>{{APIRef("SVG")}}</div>

<p>The <code>repeatEvent</code> event of the {{domxref("SVGAnimationElement")}} interface is fired when the element's local timeline repeats. It will be fired each time the element repeats, after the first iteration.</p>

<div class="notecard note">
<p><strong>Note</strong>: Associated with the <code>repeatEvent</code> event is an integer that indicates which repeat iteration is beginning; this can be found in the <code>detail</code> property of the event object. The value is a 0-based integer, but the repeat event is not raised for the first iteration and so the observed values will be &gt;= 1. This is supported in Firefox, but not in Chrome.</p>
</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("TimeEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td><code><a href="/en-US/docs/Web/API/SVGAnimationElement/onrepeat">onrepeat</a></code></td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<h3 id="Animated_circle">Animated circle</h3>

<pre class="brush: html">&lt;svg xmlns="http://www.w3.org/2000/svg" width="300px" height="100px"&gt;
  &lt;title&gt;SVG SMIL Animate with Path&lt;/title&gt;
  &lt;circle cx="0" cy="50" r="50" fill="blue" stroke="black" stroke-width="1"&gt;
    &lt;animateMotion
       path="M 0 0 H 300 Z"
       dur="5s" repeatCount="indefinite" /&gt;
  &lt;/circle&gt;
&lt;/svg&gt;

&lt;hr&gt;

&lt;ul&gt;

&lt;/ul&gt;</pre>

<pre class="brush: css">ul {
  height: 100px;
  border: 1px solid #ddd;
  overflow-y: scroll;
  padding: 10px 30px;
}</pre>

<pre class="brush: js">let svgElem = document.querySelector('svg');
let animateElem = document.querySelector('animateMotion');
let list = document.querySelector('ul');

animateElem.addEventListener('beginEvent', () =&gt; {
  let listItem = document.createElement('li');
  listItem.textContent = 'beginEvent fired';
  list.appendChild(listItem);
})

animateElem.addEventListener('repeatEvent', (e) =&gt; {
  let listItem = document.createElement('li');
  let msg = 'repeatEvent fired';
  if(e.detail) {
    msg += '; repeat number: ' + e.detail;
  }
  listItem.textContent = msg;
  list.appendChild(listItem);
})
</pre>

<p>{{EmbedLiveSample('Animated_circle', '100%', '270')}}</p>

<h3 id="Event_handler_property_equivalent">Event handler property equivalent</h3>

<p>Note that you can also create an event listener for the <code>repeat</code> event using the <code><a href="/en-US/docs/Web/API/SVGAnimationElement/onrepeat">onrepeat</a></code> event handler property:</p>

<pre class="brush: js">animateElem.onrepeat = () =&gt; {
  console.log('repeatEvent fired');
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('SVG2', 'single-page.html#interact-RepeatEvent', 'repeatEvent')}}</td>
   <td>{{Spec2('SVG2')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGAnimationElement.repeatEvent_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/SVG/SVG_animation_with_SMIL">SVG animation with SMIL</a></li>
 <li>{{event("beginEvent")}}</li>
 <li>{{event("endEvent")}}</li>
</ul>
